Package org.eclipse.emf.cdo.spi.common.protocol

# Class CDODataInputImpl

java.lang.Object
org.eclipse.net4j.util.io.ExtendedDataInput.Delegating
org.eclipse.emf.cdo.spi.common.protocol.CDODataInputImpl

All Implemented Interfaces:
  `Closeable`, `DataInput`, `AutoCloseable`, `CDODataInput`, `org.eclipse.net4j.util.io.ExtendedDataInput`

Direct Known Subclasses:
  `CDODataInputImpl.Default`

public abstract class CDODataInputImpl extends org.eclipse.net4j.util.io.ExtendedDataInput.Delegating implements CDODataInput
If the meaning of this type isn't clear, there really should be more of a description here...

Since:
  4.2
Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`CDODataInputImpl.Default`
A concrete subclass of `CDODataInputImpl`.

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.io.ExtendedDataInput

`org.eclipse.net4j.util.io.ExtendedDataInput.Delegating, org.eclipse.net4j.util.io.ExtendedDataInput.Stream`

## Constructor Summary

Constructors
Constructor
Description
`CDODataInputImpl(org.eclipse.net4j.util.io.ExtendedDataInput delegate)`

## Method Summary

Modifier and Type
Method
Description
`protected abstract CDOBranchManager`
`getBranchManager()`
`protected abstract CDOCommitInfoManager`
`getCommitInfoManager()`
`protected abstract CDOListFactory`
`getListFactory()`
`protected abstract CDOLobStore`
`getLobStore()`
`protected org.eclipse.net4j.util.io.StringIO`
`getPackageURICompressor()`
`protected abstract CDORevisionFactory`
`getRevisionFactory()`
`CDOCommonSession`
`getSession()`
`protected boolean`
`isXCompression()`
`CDOBranch`
`readCDOBranch()`
`CDOBranchPoint`
`readCDOBranchPoint()`
`CDOBranchVersion`
`readCDOBranchVersion()`
`CDOChangeSetData`
`readCDOChangeSetData()`
`CDOClassifierRef`
`readCDOClassifierRef()`
`EClassifier`
`readCDOClassifierRefAndResolve()`
`CDOCommitData`
`readCDOCommitData()`
`CDOCommitInfo`
`readCDOCommitInfo()`
`CDOFeatureDelta`
`readCDOFeatureDelta(EClass owner)`
`Object`
`readCDOFeatureValue(EStructuralFeature feature)`
`CDOID`
`readCDOID()`
`CDOIDAndBranch`
`readCDOIDAndBranch()`
`CDOIDAndVersion`
`readCDOIDAndVersion()`
`CDOIDReference`
`readCDOIDReference()`
`CDOList`
`readCDOList(EClass owner, EStructuralFeature feature)`
`IDurableLockingManager.LockArea`
`readCDOLockArea()`
`CDOLockChangeInfo`
`readCDOLockChangeInfo()`
`CDOLockDelta`
`readCDOLockDelta()`
`CDOLockOwner`
`readCDOLockOwner()`
`CDOLockState`
`readCDOLockState()`
`org.eclipse.net4j.util.concurrent.IRWLockManager.LockType`
`readCDOLockType()`
`CDOPackageInfo`
`readCDOPackageInfo()`
`CDOPackageUnit`
`readCDOPackageUnit(ResourceSet resourceSet)`
`CDOPackageUnit[]`
`readCDOPackageUnits(ResourceSet resourceSet)`
`CDOPackageUnit.Type`
`readCDOPackageUnitType()`
`String`
`readCDOPackageURI()`
`CDORevisable`
`readCDORevisable()`
`CDORevision`
`readCDORevision()`
`CDORevision`
`readCDORevision(boolean freeze)`
`CDORevisionDelta`
`readCDORevisionDelta()`
`CDORevisionKey`
`readCDORevisionKey()`
`Object`
`readCDORevisionOrPrimitive()`
Read either a CDORevision or a primitive value.
`Object`
`readCDORevisionOrPrimitiveOrClassifier()`
Read either a CDORevision, a primitive value or a EClass.
`CDOType`
`readCDOType()`
`int`
`readXInt()`
`long`
`readXLong()`

### Methods inherited from class org.eclipse.net4j.util.io.ExtendedDataInput.Delegating

`close, getDelegate, readBoolean, readByte, readByteArray, readChar, readDouble, readEnum, readException, readFloat, readFully, readFully, readInt, readLine, readLong, readObject, readObject, readObject, readShort, readString, readUnsignedByte, readUnsignedShort, readUTF, readVarInt, readVarLong, skipBytes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.cdo.common.protocol.CDODataInput

`getPackageRegistry, readCDOLockDeltas, readCDOLockStates`

### Methods inherited from interface java.io.DataInput

`readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

### Methods inherited from interface org.eclipse.net4j.util.io.ExtendedDataInput

`readByteArray, readEnum, readException, readObject, readObject, readObject, readObject, readString, readVarInt, readVarLong`

## Constructor Details

### CDODataInputImpl

public CDODataInputImpl(org.eclipse.net4j.util.io.ExtendedDataInput delegate)

## Method Details

### readXInt

public int readXInt() throws IOException

Specified by:
  `readXInt` in interface `CDODataInput`
Throws:
  `IOException`
Since:
  4.6

### readXLong

public long readXLong() throws IOException

Specified by:
  `readXLong` in interface `CDODataInput`
Throws:
  `IOException`
Since:
  4.6

### readCDOPackageUnit

public CDOPackageUnit readCDOPackageUnit(ResourceSet resourceSet) throws IOException

Specified by:
  `readCDOPackageUnit` in interface `CDODataInput`
Throws:
  `IOException`

### readCDOPackageUnits

public CDOPackageUnit[] readCDOPackageUnits(ResourceSet resourceSet) throws IOException

Specified by:
  `readCDOPackageUnits` in interface `CDODataInput`
Throws:
  `IOException`

### readCDOPackageUnitType

public CDOPackageUnit.Type readCDOPackageUnitType() throws IOException

Specified by:
  `readCDOPackageUnitType` in interface `CDODataInput`
Throws:
  `IOException`

### readCDOPackageInfo

public CDOPackageInfo readCDOPackageInfo() throws IOException

Specified by:
  `readCDOPackageInfo` in interface `CDODataInput`
Throws:
  `IOException`

### readCDOPackageURI

public String readCDOPackageURI() throws IOException

Specified by:
  `readCDOPackageURI` in interface `CDODataInput`
Throws:
  `IOException`

### readCDOClassifierRef

public CDOClassifierRef readCDOClassifierRef() throws IOException

Specified by:
  `readCDOClassifierRef` in interface `CDODataInput`
Throws:
  `IOException`

### readCDOClassifierRefAndResolve

public EClassifier readCDOClassifierRefAndResolve() throws IOException

Specified by:
  `readCDOClassifierRefAndResolve` in interface `CDODataInput`
Throws:
  `IOException`

### readCDOType

public CDOType readCDOType() throws IOException

Specified by:
  `readCDOType` in interface `CDODataInput`
Throws:
  `IOException`

### readCDOBranch

public CDOBranch readCDOBranch() throws IOException

Specified by:
  `readCDOBranch` in interface `CDODataInput`
Throws:
  `IOException`

### readCDOBranchPoint

public CDOBranchPoint readCDOBranchPoint() throws IOException

Specified by:
  `readCDOBranchPoint` in interface `CDODataInput`
Throws:
  `IOException`

### readCDOBranchVersion

public CDOBranchVersion readCDOBranchVersion() throws IOException

Specified by:
  `readCDOBranchVersion` in interface `CDODataInput`
Throws:
  `IOException`

### readCDOChangeSetData

public CDOChangeSetData readCDOChangeSetData() throws IOException

Specified by:
  `readCDOChangeSetData` in interface `CDODataInput`
Throws:
  `IOException`

### readCDOCommitData

public CDOCommitData readCDOCommitData() throws IOException

Specified by:
  `readCDOCommitData` in interface `CDODataInput`
Throws:
  `IOException`

### readCDOCommitInfo

public CDOCommitInfo readCDOCommitInfo() throws IOException

Specified by:
  `readCDOCommitInfo` in interface `CDODataInput`
Throws:
  `IOException`

### readCDOLockChangeInfo

public CDOLockChangeInfo readCDOLockChangeInfo() throws IOException

Specified by:
  `readCDOLockChangeInfo` in interface `CDODataInput`
Throws:
  `IOException`

### readCDOLockArea

public IDurableLockingManager.LockArea readCDOLockArea() throws IOException

Specified by:
  `readCDOLockArea` in interface `CDODataInput`
Throws:
  `IOException`

### readCDOLockOwner

public CDOLockOwner readCDOLockOwner() throws IOException

Specified by:
  `readCDOLockOwner` in interface `CDODataInput`
Throws:
  `IOException`

### readCDOLockState

public CDOLockState readCDOLockState() throws IOException

Specified by:
  `readCDOLockState` in interface `CDODataInput`
Throws:
  `IOException`

### readCDOLockDelta

public CDOLockDelta readCDOLockDelta() throws IOException

Specified by:
  `readCDOLockDelta` in interface `CDODataInput`
Throws:
  `IOException`

### readCDOLockType

public org.eclipse.net4j.util.concurrent.IRWLockManager.LockType readCDOLockType() throws IOException

Specified by:
  `readCDOLockType` in interface `CDODataInput`
Throws:
  `IOException`

### readCDOID

public CDOID readCDOID() throws IOException

Specified by:
  `readCDOID` in interface `CDODataInput`
Throws:
  `IOException`

### readCDOIDReference

public CDOIDReference readCDOIDReference() throws IOException

Specified by:
  `readCDOIDReference` in interface `CDODataInput`
Throws:
  `IOException`

### readCDOIDAndVersion

public CDOIDAndVersion readCDOIDAndVersion() throws IOException

Specified by:
  `readCDOIDAndVersion` in interface `CDODataInput`
Throws:
  `IOException`

### readCDOIDAndBranch

public CDOIDAndBranch readCDOIDAndBranch() throws IOException

Specified by:
  `readCDOIDAndBranch` in interface `CDODataInput`
Throws:
  `IOException`

### readCDORevisionKey

public CDORevisionKey readCDORevisionKey() throws IOException

Specified by:
  `readCDORevisionKey` in interface `CDODataInput`
Throws:
  `IOException`

### readCDORevision

public CDORevision readCDORevision() throws IOException

Specified by:
  `readCDORevision` in interface `CDODataInput`
Throws:
  `IOException`

### readCDORevision

public CDORevision readCDORevision(boolean freeze) throws IOException

Specified by:
  `readCDORevision` in interface `CDODataInput`
Throws:
  `IOException`

### readCDORevisable

public CDORevisable readCDORevisable() throws IOException

Specified by:
  `readCDORevisable` in interface `CDODataInput`
Throws:
  `IOException`

### readCDOList

public CDOList readCDOList(EClass owner, EStructuralFeature feature) throws IOException

Specified by:
  `readCDOList` in interface `CDODataInput`
Throws:
  `IOException`

### readCDOFeatureValue

public Object readCDOFeatureValue(EStructuralFeature feature) throws IOException

Specified by:
  `readCDOFeatureValue` in interface `CDODataInput`
Throws:
  `IOException`

### readCDORevisionDelta

public CDORevisionDelta readCDORevisionDelta() throws IOException

Specified by:
  `readCDORevisionDelta` in interface `CDODataInput`
Throws:
  `IOException`

### readCDOFeatureDelta

public CDOFeatureDelta readCDOFeatureDelta(EClass owner) throws IOException

Specified by:
  `readCDOFeatureDelta` in interface `CDODataInput`
Throws:
  `IOException`

### readCDORevisionOrPrimitive

public Object readCDORevisionOrPrimitive() throws IOException
Description copied from interface: `CDODataInput`
Read either a CDORevision or a primitive value.

Specified by:
  `readCDORevisionOrPrimitive` in interface `CDODataInput`
Throws:
  `IOException`

### readCDORevisionOrPrimitiveOrClassifier

public Object readCDORevisionOrPrimitiveOrClassifier() throws IOException
Description copied from interface: `CDODataInput`
Read either a CDORevision, a primitive value or a EClass.

Specified by:
  `readCDORevisionOrPrimitiveOrClassifier` in interface `CDODataInput`
Throws:
  `IOException`

### getSession

public CDOCommonSession getSession()

Specified by:
  `getSession` in interface `CDODataInput`

### isXCompression

protected boolean isXCompression()

Since:
  4.6

### getPackageURICompressor

protected org.eclipse.net4j.util.io.StringIO getPackageURICompressor()

### getBranchManager

protected abstract CDOBranchManager getBranchManager()

### getCommitInfoManager

protected abstract CDOCommitInfoManager getCommitInfoManager()

### getRevisionFactory

protected abstract CDORevisionFactory getRevisionFactory()

### getListFactory

protected abstract CDOListFactory getListFactory()

### getLobStore

protected abstract CDOLobStore getLobStore()